%define	name		xsw
%define	version		1.34.0
%define release		11mdk
%define summary		The XShipWars kickass game !
%define summary_server	XShipWars universe server
%define summary_monitor	XShipWars universe monitor
%define summary_unvedit	XShipWars universe editor
%define clientdir	%{_datadir}/games/xshipwars
%define serverdatadir	%{_localstatedir}/swserv
%define serverconfdir	%{_sysconfdir}/swserv
%define serverlogdir	/var/log/swserv

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License: 	GPL
Group: 		Games/Other
Source0:	http://www.battlefieldlinux.com/download/%{name}-%{version}.tar.bz2
Source1:	%{name}.server.script.bz2
Source2:	%{name}.xsw-16.png.bz2
Source3:	%{name}.xsw-32.png.bz2
Source4:	%{name}.xsw-48.png.bz2
Source5:	%{name}.xsw-unvedit-16.png.bz2
Source6:	%{name}.xsw-unvedit-32.png.bz2
Source7:	%{name}.xsw-unvedit-48.png.bz2
Source8:	%{name}.xsw-monitor-16.png.bz2
Source9:	%{name}.xsw-monitor-32.png.bz2
Source10:	%{name}.xsw-monitor-48.png.bz2
Patch0:		%{name}.server.conf.patch.bz2
Patch1:		%{name}.build.patch.bz2
Url: 		http://wolfpack.twu.net/ShipWars/XShipWars
Requires:	xsw-data
Requires:	xsw-images
Requires:	xsw-sounds
BuildRequires:	libjsw-devel
BuildRequires:	libyiff-devel
BuildRequires:	libesound-devel
BuildRequires:	libxpm-devel
BuildRequires:	XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
XShipWars is a highly customizable and massively multiplayer space
gaming system designed for play entirly over the Internet.
It is the first completed and stable game for Linux written on Linux and
has been ported to a variety of other platforms.

%package monitor
Group: 		Games/Other
Summary: 	%{summary_monitor}

%description monitor
This is the universe monitor part of XShipWars game.

%package unvedit
Group: 		Games/Other
Summary: 	%{summary_unvedit}

%description unvedit
This is the universe editor part of XShipWars game.

%package server
Group: 		Games/Other
Summary: 	%{summary_server}
PreReq:		rpm-helper

%description server
This is the server part of XShipWars game.

%prep
%setup -q -n %{name}-%{version}
bzcat %{SOURCE1} > swserv
bzcat %{SOURCE2} > %{name}-16.png
bzcat %{SOURCE3} > %{name}-32.png
bzcat %{SOURCE4} > %{name}-48.png
bzcat %{SOURCE5} > %{name}-unvedit-16.png
bzcat %{SOURCE6} > %{name}-unvedit-32.png
bzcat %{SOURCE7} > %{name}-unvedit-48.png
bzcat %{SOURCE8} > %{name}-monitor-16.png
bzcat %{SOURCE9} > %{name}-monitor-32.png
bzcat %{SOURCE10} > %{name}-monitor-48.png
%patch0
%patch1

%build
export CFLAGS=$RPM_OPT_FLAGS
./configure.client  Linux -v --prefix=%{_prefix} --disable=arch-i686
./configure.server  Linux -v --prefix=%{_prefix} --disable=arch-i686
./configure.monitor Linux -v --prefix=%{_prefix} --disable=arch-i686
./configure.unvedit Linux -v --prefix=%{_localstatedir} --disable=arch-i686
make -f Makefile.client all
make -f Makefile.server all
make -f Makefile.monitor all
make -f Makefile.unvedit all

%install
rm -rf $RPM_BUILD_ROOT
make -f Makefile.client  PREFIX=$RPM_BUILD_ROOT%{_prefix} install
make -f Makefile.monitor PREFIX=$RPM_BUILD_ROOT%{_prefix} install
make -f Makefile.unvedit PREFIX=$RPM_BUILD_ROOT%{_prefix} install
# custom server installation
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/init.d
install -d -m 755 $RPM_BUILD_ROOT%{_sbindir}
install -d -m 755 $RPM_BUILD_ROOT%{serverconfdir}
install -d -m 755 $RPM_BUILD_ROOT%{serverlogdir}
install -d -m 755 $RPM_BUILD_ROOT%{serverdatadir}/db
install -d -m 755 $RPM_BUILD_ROOT%{serverdatadir}/plugins
install -m 755 swserv $RPM_BUILD_ROOT%{_sysconfdir}/init.d/swserv
install -m 755 server/swserv $RPM_BUILD_ROOT%{_sbindir}/swserv
install -m 644 server/default.conf $RPM_BUILD_ROOT%{serverconfdir}
install -m 644 server/generic_in.unv $RPM_BUILD_ROOT%{serverdatadir}/db
install -m 644 server/default.ocs $RPM_BUILD_ROOT%{serverdatadir}/db
install -m 644 server/default.opm $RPM_BUILD_ROOT%{serverdatadir}/db
# icons
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png 
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png 
install -D -m 644 %{name}-monitor-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}-monitor.png 
install -D -m 644 %{name}-monitor-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}-monitor.png 
install -D -m 644 %{name}-monitor-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}-monitor.png 
install -D -m 644 %{name}-unvedit-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}-unvedit.png 
install -D -m 644 %{name}-unvedit-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}-unvedit.png 
install -D -m 644 %{name}-unvedit-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}-unvedit.png 

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{_gamesbindir}/xsw"\\
	needs="X11"\\
	icon="%{name}.png"\\
	section="Amusement/Other"\\
	title="XShipWars" \
	longtitle="%{summary}"
EOF
cat >$RPM_BUILD_ROOT%{_menudir}/%{name}-monitor <<EOF
?package(%{name}-monitor):\\
	command="%{_gamesbindir}/monitor"\\
	needs="X11"\\
	icon="%{name}-monitor.png"\\
	section="Amusement/Other"\\
	title="Monitor" \
	longtitle="%{summary_monitor}"
EOF
cat >$RPM_BUILD_ROOT%{_menudir}/%{name}-unvedit <<EOF
?package(%{name}-unvedit):\\
	command="%{_gamesbindir}/unvedit"\\
	needs="X11"\\
	icon="%{name}-unvedit.png"\\
	section="Amusement/Other"\\
	title="Unvedit" \
	longtitle="%{summary_unvedit}"
EOF

# fix perms
chmod 755 $RPM_BUILD_ROOT%{_gamesbindir}/xsw

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post monitor
%{update_menus}

%postun monitor
%{clean_menus}

%post unvedit
%{update_menus}

%postun unvedit
%{clean_menus}

%post server
%_post_service swserv

%preun server
%_preun_service swserv

%files 
%defattr(-,root,root)
%doc CREDITS INSTALL LICENSE README TODO
%{_gamesbindir}/xsw
%{clientdir}/etc
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files monitor
%defattr(-,root,root)
%{_gamesbindir}/monitor
%{clientdir}/images/monitor
%{_menudir}/%{name}-monitor
%{_miconsdir}/%{name}-monitor.png
%{_iconsdir}/%{name}-monitor.png
%{_liconsdir}/%{name}-monitor.png

%files unvedit
%defattr(-,root,root)
%{_gamesbindir}/unvedit
%{clientdir}/images/unvedit
%{_menudir}/%{name}-unvedit
%{_miconsdir}/%{name}-unvedit.png
%{_iconsdir}/%{name}-unvedit.png
%{_liconsdir}/%{name}-unvedit.png

%files server
%defattr(-,root,root)
%config(noreplace) %{serverconfdir}
%config(noreplace) %{_sysconfdir}/init.d/*
%{_sbindir}/*
%attr(-,games,games) %{serverdatadir}
%attr(-,games,games) %{serverlogdir}

%changelog
* Mon Jan 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.34.0-11mdk
- buildrequires (slbd)
- fix executable perm
- quiet setup
- rm -rf $RPM_BUILD_ROOT in %%install

* Fri Aug 15 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.34.0-10mdk
- fixed dir ownership

* Sun May 11 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-9mdk
- rebuild
- unversioned buildrequires

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-8mdk
- prereq rpm-helper for server only 

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-7mdk
- prereq rpm-helper

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-6mdk
- back to original name
- unvedit and monitor data back in their packages
- new rpm macros

* Fri Sep 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.34.0-5mdk
- rebuild

* Sat Jun 01 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-4mdk
- build with gcc3.1
- png icons
- one archive per additional source

* Sat Oct 27 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-3mdk
- buildrequires libdb3.3-devel
- used games user instead of specific user
- rewrote init script

* Sat Oct 20 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-2mdk
- corrected a bug in server %pre

* Thu Oct 04 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-1mdk
- first Mandrake stable branch release
